Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.crm
Class SocialNetworks

    java.lang.Object
      java.lang.Thread
          com.knowgate.crm.SocialNetworks

All Implemented Interfaces:
  java.lang.Runnable

    public class SocialNetworks

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`SocialNetworks(DBBind oDbbd, java.lang.String sGuWorkArea, java.lang.String sSQLWhere, java.lang.String sNmSite, int iMaxRows)`

Method Summary
`static void` | `crawl(DBBind oDbb, java.lang.String sWorkArea, java.lang.String sWhere, java.lang.String sSite, int iLimit)`
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SocialNetworks

    public SocialNetworks(DBBind oDbbd,
                          java.lang.String sGuWorkArea,
                          java.lang.String sSQLWhere,
                          java.lang.String sNmSite,
                          int iMaxRows)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### crawl

    public static void crawl(DBBind oDbb,
                             java.lang.String sWorkArea,
                             java.lang.String sWhere,
                             java.lang.String sSite,
                             int iLimit)
                      throws java.sql.SQLException,
                             java.io.IOException,
                             java.lang.IllegalArgumentException

  Throws:
    `java.sql.SQLException`
    `java.io.IOException`
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD